import Vue from 'vue'
import App from '@/App'
import store from '@/store'
import request from '@/plugins/request.js'
import uView from 'uview-ui'
import dayjs from 'dayjs'

Vue.config.productionTip = false

Vue.prototype.$store = store
Vue.prototype.$request = request
Vue.prototype.$dayjs = dayjs

Vue.use(uView)

App.mpType = 'app'

const app = new Vue({
  store,
  ...App,
})
app.$mount()
